// npm run build -- dev
// npm run build -- test
// npm run build -- prod

const devUrlNew = 'http://localhost:5000/api/'
const testUrlNew = 'http://localhost:5000/api/'
const prodUrlNew = 'https://www.juip.com/api/'// "http://api.yk.hncore.net/api/"/"http://hapi.hncore.net/api"

const devPhpUrlNew = 'http://juip.wyk/'
const prodPhpUrlNew = 'https://php-api.juip.com/'

var baseURL = devUrlNew
var phpURL = devPhpUrlNew

switch (process.env.NODE_ENV) {
  case 'development':
    baseURL = devUrlNew
    phpURL = devPhpUrlNew
    break
  case 'test':
    baseURL = testUrlNew
    phpURL = devPhpUrlNew
    break
  case 'production':
    baseURL = prodUrlNew
    phpURL = prodPhpUrlNew
    break
}
export {
  baseURL,
  phpURL
}
